#include "./group.h"
#include "./package.h"

#include <QJsonArray>

namespace RepoIndex {

/*!
 * \class AlpmGroup
 * \brief The AlpmGroup class wraps an ALPM group struct.
 */

GroupInfo::GroupInfo(const AlpmGroup &group)
{
    name = QString::fromLocal8Bit(group.name());
    for(auto *pkg : PackageList(group.packages())) {
        packages << QString::fromLocal8Bit(alpm_pkg_get_name(pkg));
    }
}

} // namespace Alpm
