#ifndef PACKAGEMANAGEMENT_MINGWBUNDLE_H
#define PACKAGEMANAGEMENT_MINGWBUNDLE_H

#include "./package.h"
#include "./alpmdatabase.h"

#include <c++utilities/application/argumentparser.h>

namespace RepoIndex {

class Manager;

class MingwBundle
{
public:
    MingwBundle(Manager &manager, const ApplicationUtilities::StringVector &packages, const ApplicationUtilities::StringVector &iconPackages, const ApplicationUtilities::StringVector &extraPackages);

    void createBundle(const std::string &targetDir, const std::string &targetName, const std::string &targetFormat, const std::string &defaultIconTheme) const;

private:
    void addDependencies(const Package *pkg);

    Manager &m_manager;
    std::list<const Package *> m_packages;
    const ApplicationUtilities::StringVector &m_extraPackages;
};

} // namespace PackageManagement

#endif // PACKAGEMANAGEMENT_MINGWBUNDLE_H
