#ifndef ALPM_UTILITIES_H
#define ALPM_UTILITIES_H

#include "./list.h"

#include <QString>

#include <string>
#include <list>

QT_FORWARD_DECLARE_CLASS(QJsonArray)

namespace RepoIndex {

namespace Utilities {

std::list<std::string> getNames(DependencyList dependencyList);
QJsonArray sigLevelStrings(alpm_siglevel_t sigLevel);
QJsonArray usageStrings(alpm_db_usage_t usage);
QString sigStatusString(alpm_sigstatus_t sigStatus);
QJsonArray validationMethodsStrings(alpm_pkgvalidation_t validationMethods);

QJsonArray qjarry(StringList list);
QJsonArray qjarry(DependencyList list);
QJsonArray qjarry(_alpm_pkgvalidation_t validation);
QStringList qstrlist(StringList list);

inline QString qstr(const char *str)
{
    return QString::fromLocal8Bit(str);
}

inline QString qstr(const std::string &str)
{
    return QString::fromLocal8Bit(str.data());
}

void printValues(std::ostream &output, const char *label, const QStringList &values);
void printBashArray(std::ostream &output, const char *name, const QStringList &values);
void printError(const std::exception &ex);
void printError(const QString &message);
void printError(std::string &message);

}

}

#endif // ALPM_UTILITIES_H
